ChangeSet 1.1504.2.19, 2003/12/09 09:54:51-08:00, greg@kroah.com

[PATCH] USB: fix up compiler warning in usblp driver caused by previous patches.


 drivers/usb/class/usblp.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/class/usblp.c b/drivers/usb/class/usblp.c
--- a/drivers/usb/class/usblp.c	Mon Dec 29 14:24:53 2003
+++ b/drivers/usb/class/usblp.c	Mon Dec 29 14:24:53 2003
@@ -673,8 +673,12 @@
 
 		usblp->writeurb->dev = usblp->dev;
 		usblp->wcomplete = 0;
-		if (err = usb_submit_urb(usblp->writeurb, GFP_KERNEL)) {
-			count = err != -ENOMEM ? -EIO : (writecount ? writecount : -ENOMEM);
+		err = usb_submit_urb(usblp->writeurb, GFP_KERNEL);
+		if (err) {
+			if (err != -ENOMEM)
+				count = -EIO;
+			else
+				count = writecount ? writecount : -ENOMEM;
 			up (&usblp->sem);
 			break;
 		}
